if [ -z "$HADOOP_CORE" ]; then

    if [ -z "$HADOOP_HOME" ]; then
        HADOOP_HOME=$(echo `which hadoop` | sed 's~bin/hadoop~~g')
	    	echo "The hadoop path is detected! ($HADOOP_HOME)"
    fi

    HADOOP_CORE="$HADOOP_HOME/`ls $HADOOP_HOME/ | grep core | grep jar`"
		echo "The path of hadoop core library ($HADOOP_CORE)"
fi

if [ -z "$HADOOP_CORE" ]; then
    echo "Failed to find the hadoop core library (jar file) in $HADOOP_HOME."
		echo "Please set the environment variable \$HADOOP_CORE to the path of the hadoop core library."
fi

echo "compiling java sources..."
rm -rf class
mkdir class

javac -cp $HADOOP_CORE -d class $(find ./src -name *.java)

echo "make jar archive..."
cd class
jar cf SALS-1.1.jar ./
rm ../SALS-1.1.jar
mv SALS-1.1.jar ../
cd ..
rm -rf class

echo "done."