echo "[DEMO] Start CDTF (PARAFAC model) single machine version..."
rm -rf output_cdtf
mkdir output_cdtf
./run_cdtf_single.sh example.train output_cdtf 4 10 1 4 10 2 1 0 0.02 20000 20000 100 24 example.test example.query
echo "[DEMO] Finish CDTF (PARAFAC model) single machine version..."
echo "[DEMO] Outputs are saved in a local directory named \"output_cdtf\""
echo "[DEMO] Start CDTF (bias model) single machine version..."
rm -rf output_cdtf_bias
mkdir output_cdtf_bias
./run_cdtf_bias_single.sh example.train output_cdtf 4 10 1 4 10 2 1 0 0.02 0.01 20000 20000 100 24 example.test example.query
echo "[DEMO] Finish CDTF (bias model) single machine version..."
echo "[DEMO] Outputs are saved in a local directory named \"output_cdtf_bias\""
echo "[DEMO] Start SALS (PARAFAC model) single machine version..."
rm -rf output_cdtf_couple
mkdir output_cdtf_couple
./run_cdtf_coupled_single.sh example.train example.couple output_cdtf 4 10 1 4 2 10 1 0.02 20000 20000 100 24 20000 20000 example.test example.query
echo "[DEMO] Finish CDTF (coupled model) single machine version..."
echo "[DEMO] Outputs are saved in a local directory named \"output_cdtf_couple\""
echo "[DEMO] Start SALS (PARAFAC model) single machine version..."
rm -rf output_sals
mkdir output_sals
./run_sals_single.sh example.train output_sals 4 10 1 4 10 5 1 0.02 20000 20000 100 24 example.test example.query
echo "[DEMO] Finish SALS (PARAFAC model) single machine version..."
echo "[DEMO] Outputs are saved in a local directory named \"output_sals\""
echo "[DEMO] Start SALS (bias model) single machine version..."
rm -rf output_sals_bias
mkdir output_sals_bias
./run_sals_bias_single.sh example.train output_sals_bias 4 10 1 4 10 5 1 0.02 0.01 20000 20000 100 24 example.test example.query
echo "[DEMO] Finish SALS (bias model) single machine version..."
echo "[DEMO] Outputs are saved in a local directory named \"output_sals_bias\""
rm -rf output_sals_couple
mkdir output_sals_couple
./run_sals_coupled_single.sh example.train example.couple output_sals 4 10 1 4 2 10 5 1 0.02 20000 20000 100 24 20000 20000 example.test example.query
echo "[DEMO] Finish SALS (coupled model) single machine version..."
echo "[DEMO] Outputs are saved in a local directory named \"output_sals_couple\""

echo "[DEMO] Upload sample files to HDFS..."
hadoop fs -rmr SALS_INPUT
hadoop fs -mkdir SALS_INPUT
hadoop fs -put ./example.train SALS_INPUT/example.train
hadoop fs -put ./example.test SALS_INPUT/example.test
hadoop fs -put ./example.query SALS_INPUT/example.query
echo "[DEMO] Start CDTF (PARAFAC model) Hadoop version..."
./run_cdtf_hadoop.sh SALS_INPUT/example.train CDTF_OUTPUT 4 3 1 4 10 2 1 0 0.02 20000 20000 100 24 1024 SALS_INPUT/example.test SALS_INPUT/example.query
echo "[DEMO] Finish CDTF (PARAFAC model) Hadoop version..."
echo "[DEMO] Outputs are saved in a HDFS directory named \"CDTF_OUTPUT\""
echo "[DEMO] Start CDTF (bias model) Hadoop version..."
./run_cdtf_bias_hadoop.sh SALS_INPUT/example.train CDTF_BIAS_OUTPUT 4 3 1 4 10 2 1 0 0.02 0.01 20000 20000 100 24 1024 SALS_INPUT/example.test SALS_INPUT/example.query
echo "[DEMO] Finish CDTF (bias model) Hadoop version..."
echo "[DEMO] Outputs are saved in a HDFS directory named \"CDTF_BIAS_OUTPUT\""
echo "[DEMO] Start SALS (PARAFAC model) Hadoop version..."
./run_sals_hadoop.sh SALS_INPUT/example.train SALS_OUTPUT 4 3 1 4 10 5 1 0.02 20000 20000 100 24 1024 SALS_INPUT/example.test SALS_INPUT/example.query
echo "[DEMO] Finish SALS (PARAFAC model) Hadoop version..."
echo "[DEMO] Outputs are saved in a HDFS directory named \"SALS_OUTPUT\""
echo "[DEMO] Start SALS (bias model) Hadoop version..."
./run_sals_bias_hadoop.sh SALS_INPUT/example.train SALS_BIAS_OUTPUT 4 3 1 4 10 5 1 0.02 0.01 20000 20000 100 24 1024 SALS_INPUT/example.test SALS_INPUT/example.query
echo "[DEMO] Finish SALS (bias model) Hadoop version..."
echo "[DEMO] Outputs are saved in a HDFS directory named \"SALS_BIAS_OUTPUT\""